import {FaceContainer} from './FaceContainer'
import {BackgroundCircle} from './BackgroundCircle'
import {Eyes} from './Eyes'
import {Mouth} from './Mouth'
import {Nose} from './Nose'




export const Face = ({width, height, centrex, centrey, strokeWidth, offsetx, offsety, radiusEye, mouthWidth, mouthRadius, mouthOffset}) => (
   <FaceContainer width={width} height={height} centrex={centrex} centrey={centrey}>
      <BackgroundCircle 
        radius={centrey - (strokeWidth/2)} 
        strokeWidth={strokeWidth}/>
       <Eyes offsetx={offsetx} offsety={offsety} radiusEye={radiusEye} />
        <Nose/>
        <Mouth mouthRadius ={mouthRadius} mouthWidth={mouthWidth} mouthOffset = {mouthOffset}/>
    </FaceContainer>
  );