import {arc} from 'd3';

export const Mouth = ({mouthRadius, mouthWidth, mouthOffset}) => { 
  const mouthArc = arc()
    .innerRadius(mouthRadius)
    .outerRadius(mouthRadius + mouthWidth)
    .startAngle(Math.PI/2 +mouthOffset)
    .endAngle(Math.PI * 3/2 - mouthOffset-0.8);
  
  return <path d={mouthArc()}> </path>;
  
};
